Abort release for a dedicated server

POST/v1/hosts/dedicated_servers/{server_id}/abort_release

To abort a scheduled release of a server, you should send a POST request to /v1/hosts/dedicated_servers/{server_id}/abort_release. The path parameter server_id will point to a necessary server.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a server.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/hosts/dedicated_servers/3YaOJBex/abort_release"
{  "id": "3YaOJBex",  "rack_id": "Vyb8WWav",  "title": "title487",  "location_id": 859,  "location_code": "location1767",  "status": "active",  "operational_status": "normal",  "power_status": "powered_on",  "configuration": "REMM R123",  "private_ipv4_address": "10.0.0.107",  "public_ipv4_address": "169.254.0.107",  "lease_start_at": "2026-05-25",  "scheduled_release_at": null,  "type": "dedicated_server",  "oob_ipv4_address": "198.29.114.3",  "configuration_details": {    "ram_size": 2,    "bandwidth_id": 21,    "bandwidth_name": "20000 GB",    "server_model_id": 62,    "public_uplink_id": 51,    "private_uplink_id": 52,    "server_model_name": "server-model-693",    "public_uplink_name": "Public 1 Gbps without redundancy",    "operating_system_id": 21,    "private_uplink_name": "Private 1 Gbps without redundancy",    "operating_system_full_name": "CentOS 7 x86_64"  },  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "ipxe_config": null,  "userdata_sha256": null,  "created_at": "2026-05-28T07:00:45Z",  "updated_at": "2026-05-28T07:00:45Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Host release not scheduled",  "code": "HOST_RELEASE_NOT_SCHEDULED"}
{  "message": "Host is not ready",  "code": "PRECONDITION_FAILED"}